Package relaxngcc.automaton

## Class Alphabet

- java.lang.Object
- - relaxngcc.automaton.Alphabet

- Direct Known Subclasses:
    `Alphabet.ForAction`, `Alphabet.Fork`, `Alphabet.Markup`, `Alphabet.Ref`, `Alphabet.Text`

      public abstract class Alphabet
      extends java.lang.Object

  An alphabet in RelaxNGCC is one of following types: 1. element start 2. element end 3. attribute start 3. attribute end 4. ref 5. typed value (<data>) 6. fixed value (<value>)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Alphabet.DataText` |
    `static class` | `Alphabet.EnterAttribute` | Alphabet of the type "enter attribute."
    `static class` | `Alphabet.EnterElement` | Alphabet of the type "enter element."
    `static class` | `Alphabet.ForAction` |
    `static class` | `Alphabet.Fork` | Alphabet that "forks" a state into a set of sub-automata.
    `static class` | `Alphabet.LeaveAttribute` | Alphabet of the type "leave attribute."
    `static class` | `Alphabet.LeaveElement` | Alphabet of the type "leave element."
    `static class` | `Alphabet.Markup` | Base class for (enter|leave)(Attribute|Element).
    `static class` | `Alphabet.Ref` | Alphabet of the type "ref."
    `static class` | `Alphabet.Text` |
    `static class` | `Alphabet.ValueText` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.xml.sax.Locator` | `_locator` | Source location where this alphabet came from.
    `static int` | `DATA_TEXT` |
    `static int` | `ENTER_ATTRIBUTE` |
    `static int` | `ENTER_ELEMENT` |
    `static int` | `FOR_ACTION` |
    `static int` | `FORK` |
    `static int` | `LEAVE_ATTRIBUTE` |
    `static int` | `LEAVE_ELEMENT` |
    `static int` | `REF_BLOCK` |
    `static int` | `VALUE_TEXT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Alphabet.DataText` | `asDataText()` |
    `Alphabet.EnterAttribute` | `asEnterAttribute()` |
    `Alphabet.EnterElement` | `asEnterElement()` |
    `Alphabet.ForAction` | `asForAction()` |
    `Alphabet.Fork` | `asFork()` |
    `Alphabet.LeaveAttribute` | `asLeaveAttribute()` |
    `Alphabet.LeaveElement` | `asLeaveElement()` |
    `Alphabet.Markup` | `asMarkup()` |
    `Alphabet.Ref` | `asRef()` |
    `Alphabet.Text` | `asText()` |
    `Alphabet.ValueText` | `asValueText()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getType()` |
    `abstract int` | `hashCode()` |
    `boolean` | `isDataText()` |
    `boolean` | `isEnterAttribute()` |
    `boolean` | `isEnterElement()` |
    `boolean` | `isForAction()` |
    `boolean` | `isFork()` |
    `boolean` | `isLeaveAttribute()` |
    `boolean` | `isLeaveElement()` |
    `boolean` | `isMarkup()` |
    `boolean` | `isRef()` |
    `boolean` | `isText()` |
    `boolean` | `isValueText()` |
    `void` | `printLocator​(java.io.PrintStream out)` | Prints the locator associated with this.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTER_ELEMENT

          public static final int ENTER_ELEMENT

      See Also:
        Constant Field Values

    - #### LEAVE_ELEMENT

          public static final int LEAVE_ELEMENT

      See Also:
        Constant Field Values

    - #### ENTER_ATTRIBUTE

          public static final int ENTER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### LEAVE_ATTRIBUTE

          public static final int LEAVE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### DATA_TEXT

          public static final int DATA_TEXT

      See Also:
        Constant Field Values

    - #### VALUE_TEXT

          public static final int VALUE_TEXT

      See Also:
        Constant Field Values

    - #### REF_BLOCK

          public static final int REF_BLOCK

      See Also:
        Constant Field Values

    - #### FORK

          public static final int FORK

      See Also:
        Constant Field Values

    - #### FOR_ACTION

          public static final int FOR_ACTION

      See Also:
        Constant Field Values

    - #### _locator

          public final org.xml.sax.Locator _locator

      Source location where this alphabet came from.

  - ### Method Detail

    - #### getType

          public final int getType()

    - #### printLocator

          public void printLocator​(java.io.PrintStream out)

      Prints the locator associated with this.

    - #### asMarkup

          public Alphabet.Markup asMarkup()

    - #### asEnterElement

          public Alphabet.EnterElement asEnterElement()

    - #### asLeaveElement

          public Alphabet.LeaveElement asLeaveElement()

    - #### asEnterAttribute

          public Alphabet.EnterAttribute asEnterAttribute()

    - #### asLeaveAttribute

          public Alphabet.LeaveAttribute asLeaveAttribute()

    - #### asRef

          public Alphabet.Ref asRef()

    - #### asText

          public Alphabet.Text asText()

    - #### asValueText

          public Alphabet.ValueText asValueText()

    - #### asDataText

          public Alphabet.DataText asDataText()

    - #### asFork

          public Alphabet.Fork asFork()

    - #### asForAction

          public Alphabet.ForAction asForAction()

    - #### isMarkup

          public final boolean isMarkup()

    - #### isEnterElement

          public final boolean isEnterElement()

    - #### isLeaveElement

          public final boolean isLeaveElement()

    - #### isEnterAttribute

          public final boolean isEnterAttribute()

    - #### isLeaveAttribute

          public final boolean isLeaveAttribute()

    - #### isRef

          public final boolean isRef()

    - #### isText

          public final boolean isText()

    - #### isValueText

          public final boolean isValueText()

    - #### isDataText

          public final boolean isDataText()

    - #### isFork

          public final boolean isFork()

    - #### isForAction

          public final boolean isForAction()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`